/* (C) 2021 YiRing, Inc. */
package com.yiring.common.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.Valid;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 公共的 Boolean 查询参数
 *
 * @author ifzm
 * @version 0.1
 * 2019/5/28 22:11
 */
@ApiModel(value = "BooleanParam", description = "公共的 Boolean 查询参数")
@Valid
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class OptionalBooleanParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -3100195332181882287L;

    @ApiModelProperty(value = "value", example = "true")
    Boolean value;
}
